using System;
using System.Runtime.Serialization;

namespace KattekerCreator.Exceptions
{
    internal class KattekerCreatorException : Exception
    {
        public KattekerCreatorException()
        {
        }

        public KattekerCreatorException(string message) : base(message)
        {
        }

        public KattekerCreatorException(string message, Exception innerException) : base(message, innerException)
        {
        }

        protected KattekerCreatorException(SerializationInfo info, StreamingContext context) : base(info, context)
        {
        }
    }
}